<!DOCTYPE html>
<html>
  <head>
    <title>first line pseudo elemnt</title>
    <style>
      p::first-line {
        color: green;
        font-variant: small-caps;
        font-size: 50px;
      }
      p::first-letter {
        color: red;
        font-size: 100px;
      }
    </style>
  </head>
  <body>
    <p>
      Lorem ipsum dolor sit amet consectetur adipisicing elit. Explicabo ab
      aperiam assumenda voluptatibus nulla voluptates recusandae doloremque
      doloribus. Quas, ut!, Maxime, ex? Reiciendis enim possimus quis non
      magnam, quisquam cumque?Lorem ipsum dolor sit amet consectetur adipisicing
      elit. Repudiandae, consequatur alias. Sequi perferendis ipsam soluta qui
      molestiae non voluptates dolore error, repudiandae expedita animi atque
      accusamus cupiditate, voluptas cum adipisci? Lorem ipsum dolor sit amet
      consectetur, adipisicing elit. Earum, a! Repellendus rem cumque
      necessitatibus dolorem molestiae corporis officiis mollitia! Dolor
      adipisci perspiciatis repellendus non voluptates mollitia maiores,
      repellat et eius. Quis reprehenderit possimus architecto adipisci
      suscipit. Doloremque delectus iusto dolorem quisquam tempore sequi dolor
      pariatur sit, repellat iure et esse quidem voluptatibus voluptas facere
      laudantium ducimus dolore rerum? Eaque, sunt! Iure perferendis cumque,
      quaerat aliquam inventore minima officiis blanditiis, eaque nulla iusto
      voluptates, nihil eveniet at reiciendis incidunt ratione magnam rerum
      quia! Eos molestias quidem id veritatis sunt illo voluptatem.
    </p>
  </body>
</html>
